Skip to main content
GET
/
2
/
users
/
{id}
/
bookmarks
बुकमार्क्स प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/users/{id}/bookmarks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "author_id": "2244994945",
      "created_at": "Wed Jan 06 18:40:40 +0000 2021",
      "id": "1346889436626259968",
      "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
      "username": "XDevelopers"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

उस प्रमाणित स्रोत उपयोगकर्ता की ID, जिसके लिए परिणाम लौटाने हैं। इस उपयोगकर्ता का विशिष्ट पहचानकर्ता। इसका मान प्रमाणित उपयोगकर्ता के समान होना चाहिए।

Example:

"2244994945"

Query Parameters

max_results
integer<int32>

परिणामों की अधिकतम संख्या।

Required range: 1 <= x <= 100
pagination_token
string

इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। एक base36 पेजिनेशन टोकन।

Minimum string length: 1
tweet.fields
enum<string>[]

दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Example:
[
  "article",
  "attachments",
  "author_id",
  "card_uri",
  "community_id",
  "context_annotations",
  "conversation_id",
  "created_at",
  "display_text_range",
  "edit_controls",
  "edit_history_tweet_ids",
  "entities",
  "geo",
  "id",
  "in_reply_to_user_id",
  "lang",
  "media_metadata",
  "non_public_metrics",
  "note_tweet",
  "organic_metrics",
  "possibly_sensitive",
  "promoted_metrics",
  "public_metrics",
  "referenced_tweets",
  "reply_settings",
  "scopes",
  "source",
  "suggested_source_links",
  "suggested_source_links_with_counts",
  "text",
  "withheld"
]
expansions
enum<string>[]

विस्तार के लिए फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिनका आप विस्तार कर सकते हैं। अगर किसी फ़ील्ड में ID है, तो उसका विस्तार करके उसे पूर्ण ऑब्जेक्ट के रूप में प्राप्त किया जा सकता है।

Minimum array length: 1
Available options:
article.cover_media,
article.media_entities,
attachments.media_keys,
attachments.media_source_tweet,
attachments.poll_ids,
author_id,
edit_history_tweet_ids,
entities.mentions.username,
geo.place_id,
in_reply_to_user_id,
entities.note.mentions.username,
referenced_tweets.id,
referenced_tweets.id.attachments.media_keys,
referenced_tweets.id.author_id
Example:
[
  "article.cover_media",
  "article.media_entities",
  "attachments.media_keys",
  "attachments.media_source_tweet",
  "attachments.poll_ids",
  "author_id",
  "edit_history_tweet_ids",
  "entities.mentions.username",
  "geo.place_id",
  "in_reply_to_user_id",
  "entities.note.mentions.username",
  "referenced_tweets.id",
  "referenced_tweets.id.attachments.media_keys",
  "referenced_tweets.id.author_id"
]
media.fields
enum<string>[]

प्रदर्शित करने के लिए Media फ़ील्ड्स की अल्पविराम-से-अलग सूची। Media ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
Example:
[
  "alt_text",
  "duration_ms",
  "height",
  "media_key",
  "non_public_metrics",
  "organic_metrics",
  "preview_image_url",
  "promoted_metrics",
  "public_metrics",
  "type",
  "url",
  "variants",
  "width"
]
poll.fields
enum<string>[]

प्रदर्शित करने के लिए Poll फ़ील्ड्स की अल्पविराम-से-अलग सूची। Poll ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
duration_minutes,
end_datetime,
id,
options,
voting_status
Example:
[
  "duration_minutes",
  "end_datetime",
  "id",
  "options",
  "voting_status"
]
user.fields
enum<string>[]

दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Example:
[
  "affiliation",
  "confirmed_email",
  "connection_status",
  "created_at",
  "description",
  "entities",
  "id",
  "is_identity_verified",
  "location",
  "most_recent_tweet_id",
  "name",
  "parody",
  "pinned_tweet_id",
  "profile_banner_url",
  "profile_image_url",
  "protected",
  "public_metrics",
  "receives_your_dm",
  "subscription",
  "subscription_type",
  "url",
  "username",
  "verified",
  "verified_followers_count",
  "verified_type",
  "withheld"
]
place.fields
enum<string>[]

प्रदर्शित करने के लिए Place फ़ील्ड्स की अल्पविराम-से-अलग सूची। Place ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
contained_within,
country,
country_code,
full_name,
geo,
id,
name,
place_type
Example:
[
  "contained_within",
  "country",
  "country_code",
  "full_name",
  "geo",
  "id",
  "name",
  "place_type"
]

Response

अनुरोध सफल रहा है।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

includes
object
meta
object